SELECT se.nome AS nome_empresa,
 ci.denominacao AS categoria_produto,
 i.codigo AS cod_produto,
 i.denominacao AS denominacao_produto,
 um.sigla AS unidade,
 CASE WHEN (ab.id_atendente IS NULL)
		THEN
		'NÃO IDENTIFICADO'
		ELSE
		pe.nome
		END 
	
	as atendente,
	
	CASE WHEN (ab.id_atendente IS NULL)
		THEN
		'-'
		ELSE
		pe.codigo
		END 
	
	as codigo_atendente,
 ROUND(SUM((NULLIF(ivc.total_bruto,0) - (ivc.desconto + ivc.desconto_automatico + ivc.desconto_rateado + ivc.desconto_ajuste_rateado + ivc.desconto_automatico_rateado + ivc.desconto_fidelidade_rateado) +
   (ivc.acrescimo + ivc.acrescimo_automatico + ivc.acrescimo_rateado + ivc.acrescimo_ajuste_rateado + ivc.acrescimo_automatico_rateado)) / NULLIF(ivc.quantidade,0)), 3) AS preco_unit,
 SUM(ivc.quantidade) AS quantidade,
 SUM(ivc.total_bruto) AS total_bruto,
 SUM(ivc.desconto + ivc.desconto_automatico + ivc.desconto_rateado + ivc.desconto_ajuste_rateado + ivc.desconto_automatico_rateado + ivc.desconto_fidelidade_rateado) AS desconto,
 SUM(ivc.acrescimo + ivc.acrescimo_automatico + ivc.acrescimo_rateado + ivc.acrescimo_ajuste_rateado + ivc.acrescimo_automatico_rateado) AS acrescimo,
 SUM(me.valor) AS custo
FROM movimento_venda_terminal AS mvt
 INNER JOIN venda_cf AS vc ON (vc.id_movimento_venda_terminal = mvt.id_movimento_venda_terminal)
 INNER JOIN item_venda_cf AS ivc ON (ivc.id_venda_cf = vc.id_venda_cf)
 LEFT OUTER JOIN movimento_estoque AS me ON (me.id_movimento_estoque = ivc.id_movimento_estoque)
 INNER JOIN item AS i ON (ivc.id_item = i.id_item)
 INNER JOIN categoria_item AS ci ON (i.id_categoria_item = ci.id_categoria_item)
 INNER JOIN unidade_medida AS um ON (i.id_unidade_medida = um.id_unidade_medida)
 INNER JOIN sis_empresa AS se ON (se.id_empresa = mvt.id_empresa)
 INNER JOIN pessoa AS pe ON (pe.id_pessoa = ivc.id_atendente)
WHERE mvt.id_empresa IN (:IdEmpresaMultSlc)
AND     mvt.data_movimento BETWEEN :DataInicial AND :DataFinal
AND DATE(vc.data_cupom) BETWEEN :DataInicial AND :DataFinal
AND DATE(ivc.data_venda) BETWEEN :DataInicial AND :DataFinal
AND le.tipo = 2 --Tanque
AND (ivc.cancelado = 'N' AND vc.cancelada = 'N')
GROUP BY se.nome,
 ci.denominacao,
 i.codigo,
 i.denominacao,
 um.sigla,
 pe.nome,
 ivc.id_item_venda_cf